
#include <wtypes.h>
#include <winbase.h>
#include <time.h>


clock_t start;
UCHAR seconds;

#ifdef __cplusplus
extern "C" {
#endif


void init_timer(UCHAR __seconds__)
{
	start = clock();
	seconds = __seconds__;
}

char timer_expired()
{
	if(seconds*CLOCKS_PER_SEC < (clock() - start))
		return 1;


	return 0;
}

double duration()
{
	return (double)(clock() - start)/(double)CLOCKS_PER_SEC;
}

void delay(ULONG msec)
{
	Sleep(msec);
}


#ifdef __cplusplus
};
#endif
